Uses of Class
org.apache.juneau.marshall.serializer.Serializer
Packages that use Serializer
Package
Description
Configuration Support
Serializer Examples
Predefined HTTP headers, parts, entities, resources, and responses built on the classic Apache HttpComponents API.
HTTP Entity Beans
BSON (Binary JSON) marshalling support.
CBOR (Concise Binary Object Representation) marshalling support per RFC 8949.
CSV Marshalling Support
Hjson (Human JSON) format serializer and parser for Apache Juneau.
HOCON (Human-Optimized Config Object Notation) format serializer and parser for Apache Juneau.
HTML Marshalling Support
INI format serializer and parser for Apache Juneau.
JCS (JSON Canonicalization Scheme) Marshalling Support.
RDF Marshalling Support
JSON Marshalling Support.
JSON5 Marshalling Support.
JSON5L (JSON5 Lines) marshalling support.
JSONL (JSON Lines) marshalling support.
Markdown serializer and parser support for Apache Juneau.
Marshallers
MessagePack Marshalling Support
OpenAPI Marshalling Support
Apache Parquet serialization and parsing support.
Plaintext Marshalling Support
Serializer API
SOAP/XML Marshalling Support
Server-Sent Events (SSE) marshalling support —
text/event-stream.TOML v1.0.0 serializer and parser for Apache Juneau.
UON Marshalling Support
URL-Encoding Marshalling Support
XML Marshalling Support
YAML Marshalling Support
Petstore-local marshalling support.
Next-generation REST client — transport-agnostic HTTP client built on Juneau's serialization stack.
REST Client API
Mocked REST client and supporting classes for in-JVM testing built on the classic Apache HttpClient API.
REST Server API
-
Uses of Serializer in org.apache.juneau.config
Methods in org.apache.juneau.config with parameters of type SerializerModifier and TypeMethodDescriptionEntryBuilder.serializer(Serializer value) Specifies the serializer to use to serialize the value.Config.set(String key, Object value, Serializer serializer) Same asConfig.set(String, Object)but allows you to specify the serializer to use to serialize the value.Config.set(String key, Object value, Serializer serializer, String modifiers, String comment, List<String> preLines) Same asConfig.set(String, Object)but allows you to specify all aspects of a value. -
Uses of Serializer in org.apache.juneau.examples.serializer
Subclasses of Serializer in org.apache.juneau.examples.serializerModifier and TypeClassDescriptionclassExample serializer that convertsBufferedImageobjects to byte streams. -
Uses of Serializer in org.apache.juneau.http.classic
Methods in org.apache.juneau.http.classic with parameters of type SerializerModifier and TypeMethodDescriptionstatic final SerializedEntityHttpEntities.serializedEntity(Object content, Serializer serializer) Creates a newSerializedEntityobject.static final SerializedEntityHttpEntities.serializedEntity(Object content, Serializer serializer, HttpPartSchema schema) Creates a newSerializedEntityobject.static final SerializedEntityHttpEntities.serializedEntity(Supplier<?> content, Serializer serializer) Creates a newSerializedEntityobject.static final SerializedEntityHttpEntities.serializedEntity(Supplier<?> content, Serializer serializer, HttpPartSchema schema) Creates a newSerializedEntityobject. -
Uses of Serializer in org.apache.juneau.http.classic.entity
Methods in org.apache.juneau.http.classic.entity with parameters of type SerializerModifier and TypeMethodDescriptionSerializedEntity.copyWith(Serializer serializer, HttpPartSchema schema) Copies this bean and sets the serializer and schema on it.SerializedEntity.setSerializer(Serializer value) Sets the serializer on this entity bean.Constructors in org.apache.juneau.http.classic.entity with parameters of type SerializerModifierConstructorDescriptionSerializedEntity(ContentType contentType, Object content, Serializer serializer, HttpPartSchema schema) Constructor. -
Uses of Serializer in org.apache.juneau.marshall.bson
Subclasses of Serializer in org.apache.juneau.marshall.bsonModifier and TypeClassDescriptionclassSerializes POJO models to BSON (Binary JSON).static classDefault serializer, BASE64 string output.static classDefault serializer, spaced-hex string output. -
Uses of Serializer in org.apache.juneau.marshall.cbor
Subclasses of Serializer in org.apache.juneau.marshall.cborModifier and TypeClassDescriptionclassSerializes POJO models to CBOR (RFC 8949).static classDefault serializer, BASE64 string output.static classDefault serializer, spaced-hex string output. -
Uses of Serializer in org.apache.juneau.marshall.csv
Subclasses of Serializer in org.apache.juneau.marshall.csvModifier and TypeClassDescriptionclassSerializes POJO models to CSV (Comma Separated Values) format. -
Uses of Serializer in org.apache.juneau.marshall.hjson
Subclasses of Serializer in org.apache.juneau.marshall.hjsonModifier and TypeClassDescriptionclassSerializes POJO models to Hjson (Human JSON). -
Uses of Serializer in org.apache.juneau.marshall.hocon
Subclasses of Serializer in org.apache.juneau.marshall.hoconModifier and TypeClassDescriptionclassSerializes POJO models to HOCON (Human-Optimized Config Object Notation). -
Uses of Serializer in org.apache.juneau.marshall.html
Subclasses of Serializer in org.apache.juneau.marshall.htmlModifier and TypeClassDescriptionclassSerializes POJOs to HTTP responses as HTML documents.classSerializes POJO metamodels to HTML.classSerializes POJO metamodels to HTML.static classDefault serializer, with whitespace.static classDefault serializer, single quotes, simple mode.static classDefault serializer, single quotes, simple mode, with whitespace.classSerializes POJO models to HTML.static classDefault serializer, single quotes.static classDefault serializer, single quotes, whitespace added.classSerializes POJOs to HTTP responses as stripped HTML. -
Uses of Serializer in org.apache.juneau.marshall.ini
Subclasses of Serializer in org.apache.juneau.marshall.ini -
Uses of Serializer in org.apache.juneau.marshall.jcs
Subclasses of Serializer in org.apache.juneau.marshall.jcsModifier and TypeClassDescriptionclassSerializes POJO models to canonical JSON per RFC 8785 (JCS). -
Uses of Serializer in org.apache.juneau.marshall.jena
Subclasses of Serializer in org.apache.juneau.marshall.jenaModifier and TypeClassDescriptionclassSubclass ofRdfSerializerfor serializing POJOs to JSON-LD format.classSubclass ofRdfSerializerfor serializing POJOs to N3 (Notation3) format.classSubclass ofRdfSerializerfor serializing POJOs to N-Quads format.classSubclass ofRdfSerializerfor serializing POJOs to N-Triples notation.classSubclass ofRdfSerializerfor serializing POJOs to RDF/JSON notation.classStream-based RDF serializer for RDF/PROTO binary format.classSerializes POJOs to RDF.classStream-based RDF serializer for binary formats (RDF/THRIFT, RDF/PROTO).classStream-based RDF serializer for RDF/THRIFT binary format.classSubclass ofRdfSerializerfor serializing POJOs to RDF/XML-Abbrev (abbreviated XML notation).classSubclass ofRdfSerializerfor serializing POJOs to RDF/XML (standard XML notation).classSubclass ofRdfSerializerfor serializing POJOs to TriG format.classSubclass ofRdfSerializerfor serializing POJOs to TriX (XML) format.classSubclass ofRdfSerializerfor serializing POJOs to Turtle format. -
Uses of Serializer in org.apache.juneau.marshall.json
Subclasses of Serializer in org.apache.juneau.marshall.jsonModifier and TypeClassDescriptionclassSerializes POJO metadata to HTTP responses as JSON-Schema.static classDefault serializer, with whitespace.classSerializes POJO models to RFC 8259 JSON.static classDefault serializer, with whitespace. -
Uses of Serializer in org.apache.juneau.marshall.json5
Subclasses of Serializer in org.apache.juneau.marshall.json5Modifier and TypeClassDescriptionclassSerializes POJO models to Simplified JSON.static classDefault serializer, single quotes, simple mode, with whitespace. -
Uses of Serializer in org.apache.juneau.marshall.json5l
Subclasses of Serializer in org.apache.juneau.marshall.json5lModifier and TypeClassDescriptionclassSerializes POJO models to JSON5L (JSON5 Lines). -
Uses of Serializer in org.apache.juneau.marshall.jsonl
Subclasses of Serializer in org.apache.juneau.marshall.jsonlModifier and TypeClassDescriptionclassSerializes POJO models to JSONL (JSON Lines). -
Uses of Serializer in org.apache.juneau.marshall.markdown
Subclasses of Serializer in org.apache.juneau.marshall.markdownModifier and TypeClassDescriptionclassSerializes POJO models to Markdown document mode (headings + tables).classSerializes POJO models to Markdown (fragment mode: tables and lists). -
Uses of Serializer in org.apache.juneau.marshall.marshaller
Methods in org.apache.juneau.marshall.marshaller that return SerializerModifier and TypeMethodDescriptionMarshaller.getSerializer()Returns the serializer associated with this marshaller.Constructors in org.apache.juneau.marshall.marshaller with parameters of type Serializer -
Uses of Serializer in org.apache.juneau.marshall.msgpack
Subclasses of Serializer in org.apache.juneau.marshall.msgpackModifier and TypeClassDescriptionclassSerializes POJO models to MessagePack.static classDefault serializer, BASE64 string output.static classDefault serializer, spaced-hex string output. -
Uses of Serializer in org.apache.juneau.marshall.oapi
Subclasses of Serializer in org.apache.juneau.marshall.oapiModifier and TypeClassDescriptionclassSerializes POJOs to values suitable for transmission as HTTP headers, query/form-data parameters, and path variables. -
Uses of Serializer in org.apache.juneau.marshall.parquet
Subclasses of Serializer in org.apache.juneau.marshall.parquetModifier and TypeClassDescriptionclassSerializes bean collections to Apache Parquet binary format. -
Uses of Serializer in org.apache.juneau.marshall.plaintext
Subclasses of Serializer in org.apache.juneau.marshall.plaintextModifier and TypeClassDescriptionclassSerializes POJOs to plain text using just thetoString() method on the serialized object. -
Uses of Serializer in org.apache.juneau.marshall.serializer
Subclasses of Serializer in org.apache.juneau.marshall.serializerModifier and TypeClassDescriptionclassSubclass ofSerializerfor byte-based serializers.static classRepresents no Serializer.static classAn identifier that the previous entries in this group should be inherited.static classAn identifier that the previous entries in this group should not be inherited.classSubclass ofSerializerfor character-based serializers.Methods in org.apache.juneau.marshall.serializer that return SerializerModifier and TypeMethodDescriptionSerializer.Builder.build()final SerializerSerializer.forEachAcceptMediaType(Consumer<MediaType> action) Performs an action on the media types handled based on the value of theaccept parameter passed into the constructor.SerializerMatch.getSerializer()Returns the serializer that matched the HTTPAccept header value.Methods in org.apache.juneau.marshall.serializer that return types with arguments of type SerializerModifier and TypeMethodDescriptionSerializerSet.getSerializer(String acceptHeader) Same asSerializerSet.getSerializerMatch(String)but returns just the matched serializer.SerializerSet.getSerializer(MediaType mediaType) Same asSerializerSet.getSerializerMatch(MediaType)but returns just the matched serializer.SerializerSet.getSerializers()Returns a copy of the serializers in this group.Methods in org.apache.juneau.marshall.serializer with parameters of type SerializerModifier and TypeMethodDescriptionSerializerSet.Builder.add(Serializer... s) Registers the specified serializers with this group.static SerializerSession.Builder<?>SerializerSession.create(Serializer ctx) Creates a new builder for this object.Method parameters in org.apache.juneau.marshall.serializer with type arguments of type SerializerModifier and TypeMethodDescriptionstatic Serializer.BuilderSerializer.createSerializerBuilder(Class<? extends Serializer> c) Instantiates a builder of the specified serializer class.Constructors in org.apache.juneau.marshall.serializer with parameters of type SerializerModifierConstructorDescriptionprotectedBuilder(Serializer copyFrom) Copy constructor.protectedBuilder(Serializer ctx) ConstructorSerializerMatch(MediaType mediaType, Serializer serializer) Constructor. -
Uses of Serializer in org.apache.juneau.marshall.soap
Subclasses of Serializer in org.apache.juneau.marshall.soapModifier and TypeClassDescriptionclassSerializes POJOs to HTTP responses as XML+SOAP. -
Uses of Serializer in org.apache.juneau.marshall.sse
Subclasses of Serializer in org.apache.juneau.marshall.sseModifier and TypeClassDescriptionclassSerializesSseEventobjects to thetext/event-stream wire format defined by the WHATWG Server-Sent Events spec. -
Uses of Serializer in org.apache.juneau.marshall.toml
Subclasses of Serializer in org.apache.juneau.marshall.toml -
Uses of Serializer in org.apache.juneau.marshall.uon
Subclasses of Serializer in org.apache.juneau.marshall.uonModifier and TypeClassDescriptionclassSerializes POJO models to UON (a notation for URL-encoded query parameter values).static classEquivalent toUonSerializer..create ().encoding().build();static classEquivalent toUonSerializer..create ().ws().build(); -
Uses of Serializer in org.apache.juneau.marshall.urlencoding
Subclasses of Serializer in org.apache.juneau.marshall.urlencodingModifier and TypeClassDescriptionclassSerializes POJO models to URL-encoded notation with UON-encoded values (a notation for URL-encoded query paramter values).static classEquivalent toUrlEncodingSerializer..create ().expandedParams().build();static classEquivalent toUrlEncodingSerializer..create ().plainTextParts().build();static classEquivalent toUrlEncodingSerializer..create ().useWhitespace().build(); -
Uses of Serializer in org.apache.juneau.marshall.xml
Subclasses of Serializer in org.apache.juneau.marshall.xmlModifier and TypeClassDescriptionclassSerializes POJOs to HTTP responses as XML.static classDefault serializer without namespaces.classSerializes POJO models to XML.static classDefault serializer without namespaces.static classDefault serializer without namespaces, single quotes.static classDefault serializer without namespaces, single quotes, with whitespace.static classDefault serializer, single quotes.static classDefault serializer, single quotes, whitespace added. -
Uses of Serializer in org.apache.juneau.marshall.yaml
Subclasses of Serializer in org.apache.juneau.marshall.yamlModifier and TypeClassDescriptionclassSerializes POJO models to YAML.static classDefault serializer, with whitespace. -
Uses of Serializer in org.apache.juneau.petstore.marshall
Subclasses of Serializer in org.apache.juneau.petstore.marshallModifier and TypeClassDescriptionclass -
Uses of Serializer in org.apache.juneau.rest.client
Methods in org.apache.juneau.rest.client that return types with arguments of type SerializerModifier and TypeMethodDescriptionRestClient.getDefaultSerializer()Returns the explicitly-configured default serializer used for outbound bodies when the format is not otherwise discernable.RestClient.getSerializerForMediaType(String mediaType) Returns the registered request serializer matching the given media type, orOptional.empty()if none matches.Methods in org.apache.juneau.rest.client with parameters of type SerializerModifier and TypeMethodDescriptionRestClient.Builder.defaultSerializer(Serializer value) Designates the default serializer used for outbound bodies when no registered serializer matches the requested media type.static SerializerBodySerializerBody.of(Serializer serializer, Object value) Creates aSerializerBodyusing the serializer's own media type.static SerializerBodySerializerBody.of(Serializer serializer, Object value, String contentType) Creates aSerializerBodywith an explicit content type.static RecordStreamBodyRecordStreamBody.records(Serializer serializer, Consumer<RecordWriter> consumer) Creates a body that streams via aRecordWriter(whole-value record cursor) using the given serializer.RestClient.Builder.serializer(Serializer... value) Appends serializers (built into aSerializerSetat build time if no set was supplied).static RecordStreamBodyRecordStreamBody.token(Serializer serializer, Consumer<TokenWriter> consumer) Creates a body that streams via aTokenWriter(fine-grained structural cursor) using the given serializer. -
Uses of Serializer in org.apache.juneau.rest.client.classic
Methods in org.apache.juneau.rest.client.classic with parameters of type SerializerModifier and TypeMethodDescription<T> TRestClient.getRemote(Class<T> interfaceClass, Object rootUrl, Serializer serializer, Parser parser) Same asRestClient.getRemote(Class, Object)but allows you to override the serializer and parser used.<T> TRestClient.getRrpcInterface(Class<T> interfaceClass, Object uri, Serializer serializer, Parser parser) Same asRestClient.getRrpcInterface(Class, Object)but allows you to override the serializer and parser used.RestClient.Builder.serializer(Serializer value) Serializer.RestRequest.serializer(Serializer serializer) Specifies the serializer to use on the request body.RestClient.Builder.serializers(Serializer... value) Serializers.Method parameters in org.apache.juneau.rest.client.classic with type arguments of type SerializerModifier and TypeMethodDescriptionRestClient.Builder.serializer(Class<? extends Serializer> value) Serializer.RestRequest.serializer(Class<? extends Serializer> serializer) Specifies the serializer to use on the request body. -
Uses of Serializer in org.apache.juneau.rest.mock.classic
Methods in org.apache.juneau.rest.mock.classic with parameters of type SerializerMethod parameters in org.apache.juneau.rest.mock.classic with type arguments of type SerializerModifier and TypeMethodDescriptionMockRestRequest.serializer(Class<? extends Serializer> serializer) -
Uses of Serializer in org.apache.juneau.rest.server
Methods in org.apache.juneau.rest.server with parameters of type SerializerModifier and TypeMethodDescriptionRestResponse.setSerializer(Serializer value) Forces theSerializerused to serialize the response body set viaRestResponse.setContent(Object)(or an equivalent return from the REST method), instead of choosing one from theAccept header.